Package ghidra.app.cmd.function

# Class NewFunctionStackAnalysisCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand<Program>
ghidra.app.cmd.function.NewFunctionStackAnalysisCmd

All Implemented Interfaces:
  `Command<Program>`

public class NewFunctionStackAnalysisCmd extends BackgroundCommand<Program>
Command for analyzing the Stack; the command is run in the background. NOTE: referenced thunk-functions should be created prior to this command

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewFunctionStackAnalysisCmd(Address entry, boolean forceProcessing)`
  Constructs a new command for analyzing the Stack.
  `NewFunctionStackAnalysisCmd(AddressSetView entries, boolean forceProcessing)`
  Constructs a new command for analyzing the Stack.
  `NewFunctionStackAnalysisCmd(AddressSetView entries, boolean createStackParams, boolean createLocalStackVars, boolean forceProcessing)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program p, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, run, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NewFunctionStackAnalysisCmd

    public NewFunctionStackAnalysisCmd(AddressSetView entries, boolean forceProcessing)
    Constructs a new command for analyzing the Stack. All stack references will be marked-up and local stack variables created. Stack parameters are not created by default to avoid setting an incomplete function signature.
    Parameters:
      `entries` - and address set indicating the entry points of functions that have stacks to be analyzed.
      `forceProcessing` - flag to force processing of stack references even if the stack has already been defined.

  - ### NewFunctionStackAnalysisCmd

    public NewFunctionStackAnalysisCmd(Address entry, boolean forceProcessing)
    Constructs a new command for analyzing the Stack. All stack references will be marked-up and local stack variables created. Stack parameters are not created by default to avoid setting an incomplete function signature.
    Parameters:
      `entry` - the entry point of the function that contains the stack to be analyzed.
      `forceProcessing` - flag to force processing of stack references even if the stack has already been defined.

  - ### NewFunctionStackAnalysisCmd

    public NewFunctionStackAnalysisCmd(AddressSetView entries, boolean createStackParams, boolean createLocalStackVars, boolean forceProcessing)
    Parameters:
      `entries` -
      `createStackParams` -
      `createLocalStackVars` -
      `forceProcessing` -

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program p, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand<Program>`
    Parameters:
      `p` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully